claw::meta::type_list_maker_2< T1, T2 > Struct Template Reference

A type list with two types, more readable than an imbricated type_list. More...

`#include <type_list.hpp>`

## Public Types

typedef type_list< T1, typename type_list_maker_1< T2 >::result > | result
| The list described by this implementation.

## Detailed Description

template<typename T1, typename T2>
struct claw::meta::type_list_maker_2< T1, T2 >

A type list with two types, more readable than an imbricated type_list.

Definition at line 138 of file type_list.hpp.

## Member Typedef Documentation

## result

template<typename T1, typename T2>

typedef type_list< T1, typename type_list_maker_1<T2>::result > claw::meta::type_list_maker_2< T1, T2 >::result

The list described by this implementation.

Definition at line 141 of file type_list.hpp.

The documentation for this struct was generated from the following file:

- meta/type_list.hpp